﻿<%@ Control Language="C#"   Inherits="TSC.WebClient.TSConnector" %>
<%@ Import Namespace="TSC.WebClient.Properties" %>


<script  type="text/javascript">
    function gpiTab(id) {
        var x = document.getElementById(id);
        if (x.className.indexOf("gpi-show") == -1) {
            x.className += " gpi-show";
        } else {
            x.className = x.className.replace(" gpi-show", "");
        }
    }
    function toggleGpiPublish() {
        $(".gpi-publish").toggle();
        //if ($(".gpi-publish").length > 0 && $(".gpi-publish").css("display") == "none") {
        //    $(".publishCounter").html($(".publishCounter").html().substring(0, $(".publishCounter").html().indexOf("(")));
        //} else { 
        //    if ($(".publishCounter").html().indexOf("(") < 0) {
        //        $(".publishCounter").html($(".publishCounter").html() + " (0)");
        //    }
        //}
    }
    $(document).ready(function () {
        var MIN_QUERY = 3;  // Minimum number of letters to start search.
        var COLOR_HIGHLIGHT = "#FFCC00";    // Background color to highlight the items found.
        $("#tsc_SearchQuery").live('keyup', function () {
            $("li label span, li label").css("background-color", "");
            var phrase = escapeRegExp(this.value.sanitizeHTML());
            if (phrase.length < MIN_QUERY) { return false; }
            //find text to highlight
            $("li label span, li label").each(function (i, v) {
                var block = $(v);
                $(v).filter(function () {
                    return block.text().match(new RegExp(phrase, "gi"));
                }).css("background-color", COLOR_HIGHLIGHT);
            });
            return false;
        });
        
        toggleGpiPublish();

        $("input[name=chkPublish]").live('change', function () {
            $("#btnPublishSelected span").html("<%=Resources.Publish %>  (" + $("input[name=chkPublish]:checked").length + ")");

            var title = $("#" + $(this).attr("id").substring(0, $(this).attr("id").indexOf("_")).replace("chkPublish", "publishCounter"));
            var titleText = title.html().substring(0, title.html().indexOf("("));
            title.html(titleText + " (" + $($(this).closest(".gpi-tab")).find("input[name=chkPublish]:checked").length + ")");
        });
        $(".toggleChkPublish").live('click', function () {
            var checkeds = $("#" + $(this).attr("id").replace("toggleChkPublish", "gpiTab")).find("input[name=chkPublish]:checked");
            var allChecks = $("#" + $(this).attr("id").replace("toggleChkPublish", "gpiTab")).find("input[name=chkPublish]");
            allChecks.attr("checked", checkeds.length != allChecks.length);
            allChecks.trigger("change");
        });

        String.prototype.sanitizeHTML = function (white, black) {
            if (!white) white = "b|i|p|br";//allowed tags
            if (!black) black = "script|object|embed|img";//complete remove tags
            var e = new RegExp("(<(" + black + ")[^>]*>.*</\\2>|(?!<[/]?(" + white + ")(\\s[^<]*>|[/]>|>))<[^<>]*>|(?!<[^<>\\s]+)\\s[^</>]+(?=[/>]))", "gi");
            return $('<textarea />').html(this.replace(e, "")).text();
        };
        var escapeRegExp;

        (function () {
            // Referring to the table here:
            // https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/regexp
            // these characters should be escaped
            // \ ^ $ * + ? . ( ) | { } [ ]
            // These characters only have special meaning inside of brackets
            // they do not need to be escaped, but they MAY be escaped
            // without any adverse effects (to the best of my knowledge and casual testing)
            // : ! , = 
            // my test "~!@#$%^&*(){}[]`/=?+\|-_;:'\",<.>".match(/[\#]/g)

            var specials = [
                // order matters for these
                "-"
                , "["
                , "]"
                // order doesn't matter for any of these
                , "/"
                , "{"
                , "}"
                , "("
                , ")"
                , "*"
                , "+"
                , "?"
                , "."
                , "\\"
                , "^"
                , "$"
                , "|"
            ]

                // I choose to escape every character with '\'
                // even though only some strictly require it when inside of []
                , regex = RegExp('[' + specials.join('\\') + ']', 'g')
                ;

            escapeRegExp = function (str) {
                return str.replace(regex, "\\$&");
            };

            // test escapeRegExp("/path/to/res?search=this.that")
        }());
    });
</script>	

<script type="text/html" id="status_tpl">
{{ statuses.forEach(function(status) { }}
	<li><b>{{=status.message}}</b><i><u style="width: {{=status.percentaje}}%;">{{=status.percentaje}}%</u></i></li>
{{ }); }}
</script>

<script type="text/html" id="add_documents_tpl">
    <div class="grid_12"><h2>{{ if (quickQuote) { }}<%=Resources.QuoteName %> » <%=Resources.Additems %>{{ } else { }}<%=Resources.PackageName %> » <%=Resources.ModifyPackage %>{{ } }}</h2></div>


    <div class="grid_12">
        <div class="grid_4"><p id="sourcelanguageWarning">Pages and blocks available for <strong>{{=quote.sourceLanguage}}</strong>:</p></div>
        <div class="grid_4">&nbsp;</div>
        <div class="grid_4"><label for="tsc_SearchQuery">Search: </label><input type="text" id="tsc_SearchQuery" value="" tabindex="1"></div>
    </div>
    <div class="grid_12">&nbsp;</div>

    <div id="tsc_columns" class="clearfix"></div>

    <div class="buttons">
	    {{ if (quickQuote) { }}
	    <a href="#" onclick="efx.addSelectedDocuments({{=quote.id}}, true); return false;" class="button orange"><span><%=Resources.RequestAQuote %></span></a>
	    {{ } else { }}
	    <a href="#" onclick="efx.addSelectedDocuments({{=quote.id}}); return false;" class="button orange"><span><%=Resources.UpdatePackage %></span></a>
	    &nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
	    <a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.Cancel %></span></a>
	    {{ } }}
    </div>	
</script>

<script type="text/html" id="createQuote_tpl">
<div class="grid_12"><h2>{{ if (quickQuote) { }}<%=Resources.CreateQuote %>{{ } else { }}<%=Resources.CreatePackage %>{{ } }}</h2></div>
<form>
	<div class="grid_8">
		<label for="tsc_Name"><abbr title="required">*</abbr> {{ if (quickQuote) { }}<%=Resources.FormQuoteName %>{{ } else { }}<%=Resources.FormPackageName %>{{ } }}</label>
		<input id="tsc_Name" value="" type="text" tabindex="1" />
	</div>
	<div class="grid_4">
		<label for="tsc_SourceLang"><%=Resources.FormSourceLanguage %></label>
		{{ if (sourceLanguages.length < 2) { }}
		<input disabled="disabled" value="{{=sourceLanguages[0].name}}" type="text" />
		<input id="tsc_SourceLang" value="{{=sourceLanguages[0].id}}" type="hidden"  />
		{{ } else { }}
		<select id="tsc_SourceLang" tabindex="3">
			{{ sourceLanguages.forEach(function(lang) { }}
			<option value="{{=lang.id}}">{{=lang.name}}</option>
			{{ }); }}
		</select>
		{{ } }}
	</div>
	<div class="grid_8">
		<label for="tsc_Notes"><%=Resources.FormComments %></label>
		<textarea rows="9" cols="30" id="tsc_Notes" tabindex="2"></textarea>
	</div>
	<div class="grid_4">
		<label><%=Resources.FormTargetLanguages %></label>
		{{ if (targetLanguages.length < 2) { }}
		<input disabled="disabled" value="{{=targetLanguages[0].name}}" type="text" />
		<input id="tsc_TargetLangs" value="{{=targetLanguages[0].id}}" type="hidden" />
		{{ } else { }}
		<div class="tsc_selectMultiple">
			{{ targetLanguages.forEach(function(lang, index) { }}
			<label><input {{ if(index === 0){ }} id="tsc_TargetLangs" {{ } }} type="checkbox" name="tsc_LangNames" value="{{=lang.id}}" tabindex="{{=(index+4)}}"/> {{=lang.name}}</label>
			{{ }); }}
		</div>
		{{ } }}
	</div>
	<div class="buttons">
		{{ if (quickQuote) { }}
			<a href="#" onclick="efx.showScreen('createQuote', true); return false;" class="button orange"><span><%=Resources.CreateQuote %></span></a>
		{{ } else { }}
			<a href="#" onclick="efx.showScreen('createQuote'); return false;" class="button orange"><span><%=Resources.CreatePackage %></span></a>
		{{ } }}
		
		&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.Cancel %></span></a>
	</div>
</form>
</script>

<script type="text/html" id="main_tpl">
<div class="grid_12">
<h2><%=Resources.TranslationPackages %> <a href="#" onclick="efx.showScreen('createQuoteScreen'); return false;" class="button orange"><span><%=Resources.CreatePackage %></span></a></h2>
{{ if (!packages.length) { }}
<p class="message info"><%=Resources.NoPackages %></p>
{{ } else { }}
	<table cellpadding="0" cellspacing="0" class="dataTable">
	<col align="left" />
	<col width="128" align="right" />
	<col width="128" align="left" />
	<col width="15%" align="left" />
	<thead>
		<tr>
			<th><%=Resources.Package %></th>
			<th><%=Resources.LastModified %></th>
			<th><%=Resources.By %></th>
			<th><%=Resources.Languages %></th>
		</tr>
	</thead>
	<tbody>
		{{ packages.forEach(function(package) { }}
		<tr>
			<td><span>{{=(package.name).sanitizeHTML()}}
			<b class="actions"><i>
				<a href="#" class="link-view" onclick="efx.getContentList({{=package.id}},'<%=Resources.PackageName.Replace("\"","")%>'); return false;"><%=Resources.PackageDetails %></a>
			<a href="#" class="link-delete" onclick='return efx.doConfirm("<%=Resources.DeletePackage %>", efx.deletePackage, {{=package.id}})'><%=Resources.Delete %></a>
			{{ if (package.packageCount > 0) { }}
			<a href="#" class="link-request" onclick="efx.requestAQuote({{=package.id}}); return false;"><%=Resources.RequestAQuote %></a>
			{{ } }}
			<a  href="#" class="link-add" onclick="efx.showScreen('addDocuments', {{=package.id}}); return false;"><%=Resources.ModifyPackage %></a>
			</i></b></span></td>
			<td>{{=package.lastModifiedOn.f('M/d/y')}} at {{=package.lastModifiedOn.f("H:m")}}</td>
			<td>{{=package.lastModifiedBy || ""}}</td>
			<td>From: {{=package.sourceLanguage}}<br/>To: {{=package.targetLanguages.join(", ")}}</td>
		</tr>
		{{ }); }}
	</tbody>
</table>
{{ } }}

<h2><%=Resources.Quotes %> <a href="#" onclick="efx.showScreen('createQuoteScreen', true); return false;" class="button orange"><span><%=Resources.CreateQuote %></span></a></h2>
{{ if (!quotes.length) { }}
<p class="message info"><%=Resources.NoQuotes %></p>
{{ } else { }}
	<table cellpadding="0" cellspacing="0" class="dataTable">
	<col align="left" />
	<col width="128" align="center" />
	<col width="15%" align="left" />
	<thead>
		<tr>
			<th><%=Resources.Quote %></th>
			<th><%=Resources.Status %></th>
			<th><%=Resources.Languages %></th>
		</tr>
	</thead>
	<tbody>
		{{ quotes.forEach(function(quote) { }}
		<tr>
			<td><span>{{=(quote.name).sanitizeHTML()}}
			{{ if (quote.status !== "QuoteOpen" && !String.isNullOrEmpty(quote.portalLink)) { }}
			<b class="actions"><i>
				<%--<a href="#" class="link-view" onclick="efx.getContentList({{=quote.id}},'<%=Resources.QuoteName.Replace("\"","")%>'); return false;"><%=Resources.GetRelatedContentList %></a>--%>
				<a href="{{=quote.portalLink}}" class="link-view" target="_blank"><%=Resources.FullReport %></a>
				{{ } }}
			</i></b></span>
			</td>
			<td>{{=quote.humanstatus}}</td>
			<td><%=Resources.From %> {{=quote.sourceLanguage}}<br/><%=Resources.To %> {{=quote.targetLanguages.join(", ")}}</td>
		</tr>
		{{ }); }}
	</tbody>
</table>
{{ } }}

<h2><%=Resources.Projects %></h2>
{{ if (!projects.length) { }}
<p class="message info"><%=Resources.NoProjects %></p>
{{ } else { }}
	<table cellpadding="0" cellspacing="0" class="dataTable">
	<col align="left" />
	<col width="128" align="center" />
	<col width="15%" align="left" />
	<thead>
		<tr>
			<th><%=Resources.Project %></th>
			<th><%=Resources.Status %></th>
			<th><%=Resources.Languages %></th>
		</tr>
	</thead>
	<tbody>
		{{ projects.forEach(function(project) { }}
		<tr>
			<td><span>{{=(project.name).sanitizeHTML()}}
			<b class="actions"><i>
				<%--<a href="#" class="link-view" onclick="efx.getContentList({{=project.id}},'<%=Resources.ProjectName.Replace("\"","")%>'); return false;"><%=Resources.GetRelatedContentList %></a>--%>
				{{ if (project.status == "ProjectCompleted") { }}
				<a href="#" class="link-import" onclick="efx.importProject({{=project.id}}); return false;"><%=Resources.ImportTranslations %></a>
				<a href="#" class="link-close" onclick="efx.closeProject({{=project.id}}); return false;"><%=Resources.CloseProject %></a>
				{{ } }}

				{{ if (!String.isNullOrEmpty(project.portalLink)) { }}
				<a href="{{=project.portalLink}}" class="link-view" target="_blank"><%=Resources.FullReport %></a>
				{{ } }}
			</i></b></span></td>
			<td>{{=project.humanstatus}}</td>
			<td><%=Resources.From %> {{=project.sourceLanguage}}<br/><%=Resources.To %> {{=project.targetLanguages.join(", ")}}</td>
		</tr>
		{{ }); }}
	</tbody>
</table>
{{ } }}
</div>
</script>

<script type="text/html" id="config_tpl">
<div class="grid_12"><h2><%=Resources.Configure %></h2></div>
<form style="max-width: 600px; margin: 0 auto;">
	<div>
		<label for="tsc_tokenID"><abbr title="required">*</abbr> <%=Resources.Token %></label>
           <%-- TODO: REMOVED --%>
		<textarea rows="4" cols="30" id="tsc_tokenID">{{=configuration.AuthorizationToken}}</textarea>
	</div>
	<div>
		<label for="tsc_Endpoint"><abbr title="required">*</abbr> <%=Resources.Endpoint %></label>
        <%-- TODO: REMOVED --%>
		<input id="tsc_Endpoint" value="{{=configuration.TscServerEndPoint}}" type="text" />
	</div>
	<div>
		<label for="tsc_Publish"><abbr title="required">*</abbr> <%=Resources.AfterImportAction %></label>
        <select id="tsc_Publish">
            <option value="0" {{ if(configuration.PublishSetting=="0"){ }} selected="selected" {{ } }}><%=Resources.KeepPagesAndBlocksAsDraft %></option>
            <option value="1" {{ if(configuration.PublishSetting=="1"){ }} selected="selected" {{ } }}><%=Resources.PublishBothPagesAndBlocks %></option>
            <option value="2" {{ if(configuration.PublishSetting=="2"){ }} selected="selected" {{ } }}><%=Resources.KeepPagesAsDraftAndPublishBlocks %></option>
        </select>
	</div>
	<div class="buttons">
		<a href="#" onclick="efx.saveConfiguration(); return false;" class="button orange"><span><%=Resources.SaveConfiguration %></span></a>
		{{if (fromConfig) {}}
		&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
		<a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.Cancel %></span></a>
        &nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="#" onclick="efx.deleteConnectorSettings(function(){efx.showScreen('showConfigurationScreen', true);}); return false;" class="button red"><span><%=Resources.Delete %></span></a>
		{{ } }}
        <span id="hiddenOption">
            <input type="hidden" id="log_daysBack" value="3" />
            &nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="#" onclick="efx.getLogEntries(); return false;" class="button blue"><span><%=Resources.ViewConnectorLog %></span></a>
        </span>
	</div>
</form>
</script>

<script type="text/html" id="modalMessageConfigError_tpl">
<!-- The Modal -->
<div id="divModal" class="modal">
  <!-- Modal content -->
  <div class="modal-content">
    <span class="close-modal">&times;</span>
      <h1 class="modal-error"><%=Resources.ConfigurationErrorTitle %></h1>
      <br/>
      <p class="modal-body"><%=Resources.ConfigurationErrorBody %></p>
      <br/>
    <p>Please contact GPI’s support team:  <a href = "mailto: support@globalizationpartners.com" class="modal-footer-link">support@globalizationpartners.com</a></p>
  </div>
</div>
</script>

<div id="tsc_wrapper">
    <div id="tsc_header">
		<a href="http://www.globalizationpartners.com/" id="tsc_logo" target="_blank">Globalization Partners International</a>
        <div style="display:none;">
            <input id="relatedContentTo" value="" type="text" />
            <a href="#" onclick="efx.getRelatedContent(); return false;" class="button blue"><span><%=Resources.PackageDetails %></span></a>
        </div>
        <select id="tsc_projects"></select>
		<a href="#" id="tsc_settings" onclick="efx.showScreen('showConfigurationScreen', true); return false;"><%=Resources.Settings %></a>
        <input type="checkbox" name="tsc_expand_tree" id="tsc_expand_tree" checked="checked"/><label for="tsc_expand_tree"></label> 
	</div>
    <div id="tsc_maincontent">
        <div id="tsc_modalMessage"></div>
		<div id="tsc_messages" class="grid_12"></div>
		<div id="tsc_content" class="clearfix"></div>
		<p id="gpiWidgetFooter"><a href="http://www.globalizationpartners.com/" target="_blank">copyright 2003-<%=DateTime.Now.Year.ToString() %> Globalization Partners International </a><!-- TSC.Episerver.GPITranslationServicesConnector Version 3.5.5.0 !--></p>
		<p id="tsc_working"> </p>
		<ul id="tsc_status"></ul>
	</div>
	<asp:Literal runat="server" ID="SetupLanguage" />
	<asp:Literal runat="server" ID="InitAction" />
    <%= Connector.Models.ConnectorModels.CheckAuthenticationSettings() %>
</div>

<script type="text/html" id="log_tpl">
	<div class="grid_12">
      <h1 class="modal-error">{{if(daysBack=="-1"){ }}<%=Resources.FullLog %>{{ }else{ }}<%=Resources.LastDaysLog %>{{ } }} </h1>
      <br/>
      <div style="height:200px; overflow-y:auto;">
          <p class="modal-body">
		    {{ logs.forEach(function(log) { }}
		    <p>{{=(log).sanitizeHTML()}}</p>
		    {{ }); }}
          </p>
      </div>
		<div class="buttons">
			<a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.Projects %></span></a>
			&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
		    <a href="#" onclick="efx.showScreen('showConfigurationScreen', true); return false;" class="button khaki"><span><%=Resources.Settings %></span></a>
		</div>
  </div>
</script>


<script type="text/html" id="publish_tpl">
	<div class="grid_12">
		<h2><%=Resources.Publish %></h2>
		<div style="height:350px; overflow-y:scroll;">
		    {{ logs.forEach(function(log) { }}
		    <p>{{=(log).sanitizeHTML()}}</p>
		    {{ }); }}
        </div>
		<div class="buttons">
			<a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.BackToDashboard %></span></a>
			<span id="hiddenOption">
				<input type="hidden" id="log_daysBack" value="3" />
				&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="#" onclick="efx.getLogEntries(); return false;" class="button blue"><span><%=Resources.ViewConnectorLog %></span></a>
			</span>
		</div>
    </div>
</script>


<script type="text/html" id="relatedContent_tpl">
	<div class="grid_12">
		<h2><%=Resources.PackageDetails %> » {{=name}}</h2>
		<div style="height:350px; overflow-y:scroll;">
			<div class="tabs">
				<form>
					{{ relatedContentList.forEach(function(relatedContent) { }}
						<a onclick="gpiTab('gpiTab{{=relatedContent.id}}')" style="width:98%;" class="button blue gpi-button gpi-block gpi-left-align"><span>{{=(relatedContent.contentType).sanitizeHTML()}} {{=(relatedContent.id).sanitizeHTML()}} - {{=(relatedContent.name).sanitizeHTML()}}<a id="publishCounter{{=relatedContent.id}}" class="publishCounter gpi-publish" style="display:none;"> (0)</a></span></a>
						<div id="gpiTab{{=relatedContent.id}}" class="gpi-container gpi-hide gpi-tab">
							{{ if(relatedContent.versions!=null && relatedContent.versions!=undefined){ }}
								<table cellpadding="0" cellspacing="0" class="dataTable">
									<col width="15" align="center" class="gpi-publish" style="display:none;" />
									<col width="30" />
									<col width="30" />
									<col width="40" />
									<col width="50" />
									<col width="50" />
									<col width="15%" align="left" />
									<col width="30" />
									<col width="30" />
									<thead>
										<tr>
											<th  class="gpi-publish" style="display:none;"><a href="#" id="toggleChkPublish{{=relatedContent.id}}" class="toggleChkPublish button orange">All</a></th>
											<th>ID</th>
											<th>Language</th>
											<th><%=Resources.Status %></th>
											<th><%=Resources.By %></th>
											<th>Date</th>
											<th>Name</th>
											<th>View</th>
										</tr>
									</thead>
									<tbody>
										{{ relatedContent.versions.forEach(function(version) { }}
										<tr>
											<td align="center" class="gpi-publish" style="display:none;"><input type="checkbox" title="<%=Resources.Publish %>" id="chkPublish{{=(version.link).sanitizeHTML()}}" name="chkPublish" value="{{=(version.link).sanitizeHTML()}}" /></td>
											<td>{{=(version.link).sanitizeHTML()}}</td>
											<td>{{=(version.language).sanitizeHTML()}}</td>
											<td>{{=(version.status).sanitizeHTML()}}</td>
											<td>{{=(version.savedBy).sanitizeHTML()}}</td>
											<td>{{=(version.savedOn.toISOString().replace("T"," ").substring(0,version.savedOn.toISOString().indexOf("."))).sanitizeHTML()}}</td>
											<td>{{=(version.name).sanitizeHTML()}}</td>
											<td><a target="_blank" href="{{=window.location.origin}}/EPiServer/Cms/#context=epi.cms.contentdata:///{{=version.link}}">View</a></td>
										</tr>
										{{ }); }}
									</tbody>
								</table>
							{{ } }}
						</div>
					{{ }); }}
				</form>
			</div>
		</div>
		<div class="buttons">
            <span class="gpi-publish" style="display:none;">
			    <a href="#" onclick="efx.publishContent(); return false;" id="btnPublishSelected" class="button green"><span><%=Resources.Publish %> (0)</span></a>
				&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
            </span>
			<a href="#" onclick="efx.showScreen('listQuotesScreen'); return false;" class="button khaki"><span><%=Resources.BackToDashboard %></span></a>
		</div>
	</div>
</script>